org.eclipse.actf.mediator

## Interface IACTFReportViewer

All Superinterfaces:
  EventListener, IAdaptable, IMediatorEventListener, IPersistable, IViewPart, IWorkbenchPart

    public interface IACTFReportViewer
    extends IViewPart, IMediatorEventListener

The interface for report viewers in ACTF. The implementation of the IACTFReportViewer will receive the status change in ACTF as a MediatorEvent.

### Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Method Summary

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init, init, saveState`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.actf.mediator.IMediatorEventListener

`modelserviceChanged, modelserviceInputChanged, reportChanged, reportGeneratorChanged`